$(function(){	
	closeAll();

	$(".radio_yes,.radio_no").click(function(){ 
		if($(this).is(".radio_yes")){

			$(this).removeClass("radio_yes");
			$(this).addClass("radio_no"); 

		}
		if($(this).is(".radio_no")){
			var obj=  $(".radio_yes");
			obj.removeClass("radio_yes");          
			obj.addClass("radio_no"); 
			$(this).removeClass("radio_no");
			$(this).addClass("radio_yes");
			checkThisRadio($(this).attr("context"),$(this).attr("clmAuditInvNo")); 
		}
	});
});




function saveClaimInvTaskInfo(type){
	var params={};
	//操作类型 1.保存 2.申请 3.完成
	params["operateType"] = type;
	//赔案号
	params["claimNo"] = $("#claimNo").val();
	//调查编号
	params["clmAuditInvNo"] = $(".radio_yes").attr('clmauditinvno');
	//任务性质
	params["invNature"] = getRwxzNo($("#rwxz").html());
	//任务子类型
	params["taskSubType"] = getRwxzNo($("#rwzlx").html());
	//调查方式（','号分隔）
	params["invType"] = getDcfs();
	//调查要求
	params["invContent"] = $("#textOne").val();
	//调查结果
	params["invFeedbackContent"] = $("#textTwo").val();

	if(type==2){
		if(getDcfs()==''||getDcfs()==undefined){
			alert("请选择调查方式");
			return;
		}
		if( $("#textOne").val()==''|| $("#textOne").val()==undefined){
			alert("请输入调查要求");
			return;
		}
		if( $("#textOne").val().replace(/\s*/,'')==''){
			alert("调查要求不能为空");
			return;
		}
		if( $("#textOne").val()!=''&& $("#textOne").val().length > 200){
			alert("调查要求内容过长，请精简");
			return;
		}

	}

	if(type==3){
		if( $("#textTwo").val().replace('/\s*/','')==''){
			alert("调查结果不能为空");
			return;
		}
		if( $("#textTwo").val()==''|| $("#textTwo").val()==undefined){
			alert("请输入调查结果");
			return;
		}
		if( $("#textTwo").val()!=''&& $("#textTwo").val().length > 200){
			alert("调查结果内容过长，请精简");
			return;
		}

	}

	//AJAX提交
	$.ajax({
		type:"POST",
		url:"saveInvTask.do",
		dataType:"json",
		contentType:"application/json",
		data:JSON.stringify(params),			
		error:function(){
			alert("保存失败！");
			return;
		},
		success:function(data){
			if (data.successFlag == 'Y') {
				//更新对应单选框对应的行
				var text = getRwxzNo($("#rwxz").html())+";<>;"+getRwxzNo($("#rwzlx").html())+";<>;"+getDcfs()+";<>;"+$("#textOne").val()+";<>;"+$("#textTwo").val()+";<>;"+type;

				if(type=='1'){
					if($(".radio_yes").attr('clmauditinvno')==''){
						addNewSpan(text,data.clmAuditInvNo,data.applyDate,data.invFeedbackDate==null?'':data.invFeedbackDate,data.invFeedbackUser,data.invFeedbackUserName); 
					}else{
						updateContext(text,data.clmAuditInvNo,data.applyDate,data.invFeedbackDate==null?'':data.invFeedbackDate,data.invFeedbackUser,data.invFeedbackUserName); 
					}
					alert("保存成功");
				}else if(type=='2'){
					closeAll();
					$(".bot_btn_02").css("color","#007aff");
					$(".bot_btn_02").attr("onclick","saveClaimInvTaskInfo('3')");
					$("#textTwo").removeAttr("disabled");
					$("#textOne").attr("disabled","disabled");
					removeSelectClass();
					if($(".radio_yes").attr('clmauditinvno')==''){
						//新增新数据添加一行(直接申请)
						addNewSpan(text,data.clmAuditInvNo,data.applyDate,data.invFeedbackDate==null?'':data.invFeedbackDate,data.invFeedbackUser,data.invFeedbackUserName);
					}else{
						updateContext(text,data.clmAuditInvNo,data.applyDate,data.invFeedbackDate==null?'':data.invFeedbackDate,data.invFeedbackUser,data.invFeedbackUserName);
					}
					alert("申请成功");
				}else if(type=='3'){
					$("#textOne").attr("disabled","disabled");
					$("#textTwo").attr("disabled","disabled");
					closeAll();
					removeSelectClass();
					updateContext(text,data.clmAuditInvNo,data.applyDate,data.invFeedbackDate==null?'':data.invFeedbackDate,data.invFeedbackUser,data.invFeedbackUserName);
					alert("调查任务完成，请继续操作!");
					skip2OtherPageByClaimNo("/claimserver/humanaudit/humanAuditMain.do",$("#claimNo").val());
				}

				//恢复单选按钮的click事件
				$(".radio_yes,.radio_no").unbind("click");
				$(".radio_yes,.radio_no").click(function(){ 
					if($(this).is(".radio_yes")){
						$(this).removeClass("radio_yes");
						$(this).addClass("radio_no"); 
					}

					if($(this).is(".radio_no")){
						var obj=  $(".radio_yes");
						obj.removeClass("radio_yes");          
						obj.addClass("radio_no"); 
						$(this).removeClass("radio_no");
						$(this).addClass("radio_yes");
						checkThisRadio($(this).attr("context")); 
					}
				});
			} else {
				alert(data.errorMsg); 
			}
		}
	});
}

function updateContext(text,clmauditinvno,applyDate,invFeedbackDate,invFeedbackUser,invFeedbackUserName){
//	$(".radio_yes").attr("context",text);
	//得到选定的span元素所在的行并改变
	var hang = $(".radio_yes").parent("th").parent("tr").prevAll().length;

	var htmlStr='<th>'+
	'<span class="radio_yes" context="'+text+'" clmauditinvno="'+clmauditinvno+'"></span>'+
	'</th> <td >申请日期： '+applyDate+'</td>'+
	'<td >反馈日期： '+invFeedbackDate+'</td>'+
	'<td >调查员： '+invFeedbackUser +' '+invFeedbackUserName+'</td>';

	$("#SHcon3 tr:eq("+hang+")").html(htmlStr);
}

//新增成功后在申请列表添加一行数据
function addNewSpan(text,clmauditinvno,applyDate,invFeedbackDate,invFeedbackUser,invFeedbackUserName){
	var htmlStr='<tr><th >'+
	'<span class="radio_yes" context="'+text+'" clmauditinvno="'+clmauditinvno+'"></span>'+
	'</th> <td >申请日期： '+applyDate+'</td>'+
	'<td >反馈日期： '+invFeedbackDate+'</td>'+
	'<td >调查员： ： '+invFeedbackUser +' '+invFeedbackUserName+'</td></tr>';
	var tab = $("#coopBody").html().replace("<tbody>",'');
	$("#coopBody").html('<tbody>'+htmlStr+tab);
}




////改变radio状态
//function chooseThisClass(obj){
//clearclass();
//if(obj.attributes[1].nodeValue=="radio_no"){
//obj.attributes[1].nodeValue="radio_yes";
//checkThisRadio(obj.attributes[2].nodeValue);
//}else{
//obj.attributes[1].nodeValue="radio_no";
//}
//}

//单选按钮选定后
function checkThisRadio(context,clmAuditInvNo){
	$("#clmAuditInvNo").val(clmAuditInvNo);
	var a = context.split(";<>;");
	$("#rwxz").html(chooseRight(a[0]));
	$("#rwzlx").html(chooseRight(a[1]));
	$("#textOne").val(a[3]);
	$("#textTwo").val(a[4]);
	$("#textThree").val(a[6]);
	$("#textFour").val(a[7]);

	if(a[2]!==''&&a[2]!=undefined&&a[2]!=null){
		if(a[2].indexOf(",")>0){
			initAllDcfs();
			$("#allDcfs span:eq(1)").removeClass().addClass("check_no");
			var array = a[2].split(",");
			for(var b=0;b<array.length;b++){
				$("#cid_"+array[b]).removeClass().addClass("check_yes"); 
			}
		}else{
			initAllDcfs();
			$("#allDcfs span:eq(1)").removeClass().addClass("check_no");
			$("#cid_"+a[2]).removeClass().addClass("check_yes"); 
		}
	}else{
		initAllDcfs();
	}
	//
	addSelectClass();

	if(a[5]=='3'){
		$("#textOne").attr("disabled","disabled");
		$("#textTwo").attr("disabled","disabled");
		$("#textThree").attr("disabled","disabled");
		$("#textFour").attr("disabled","disabled");
		closeAll();
		removeSelectClass();
	}else if(a[5]=='2'){
		closeAll();
		$(".bot_btn_02").css("color","#007aff");
		$(".bot_btn_02").attr("onclick","saveClaimInvTaskInfo('3')");
		$("#textTwo").removeAttr("disabled");
		$("#textOne").attr("disabled","disabled");
		$("#textThree").attr("disabled","disabled");
		$("#textFour").attr("disabled","disabled");
		removeSelectClass();
	}else if(a[5]=='1'){
		showAll();
		$(".bot_btn_02").css("color","#ccc");
		$(".bot_btn_02").removeAttr("onclick");
		$("#textOne").removeAttr("disabled");
		$("#textTwo").attr("disabled","disabled");
		$("#textThree").attr("disabled","disabled");
		$("#textFour").attr("disabled","disabled");
		$("#allDcfs span").unbind("click");	
		$(".check_yes,.check_no").bind("click", function(){
			if($(this).is(".check_yes")){
				$(this).removeClass("check_yes");
				$(this).addClass("check_no"); 

			}
			else{
				var s=$("#allDcfs span");
				for(var i in s){
					if(s[i].className=="check_yes"){
						s[i].className="check_no";
						//alert("已选择调查方式");
						//return;
					}
				}
				$(this).removeClass("check_no");
				$(this).addClass("check_yes");
			}
			$(this).removeClass("check_no");
			$(this).addClass("check_yes");

		});	
	}
}

//显示所有按钮
function showAll(){
	$(".bot_btn_13").css("color","#007aff");
	$(".bot_btn_03").css("color","#007aff");
	$(".bot_btn_02").css("color","#007aff");
	$(".bot_btn_13").attr("onclick","saveClaimInvTaskInfo('2')");
	$(".bot_btn_03").attr("onclick","saveClaimInvTaskInfo('1')");
	$(".bot_btn_02").attr("onclick","saveClaimInvTaskInfo('3')");
}
//关闭所有按钮
function closeAll(){
	$(".bot_btn_13").css("color","#ccc");
	$(".bot_btn_03").css("color","#ccc");
	$(".bot_btn_02").css("color","#ccc");
	$(".bot_btn_13").removeAttr("onclick");
	$(".bot_btn_03").removeAttr("onclick");
	$(".bot_btn_02").removeAttr("onclick");
}

//清除radio类样式
function clearclass(){
	$("#coopBody span").each(function(){
		$(this).removeClass().addClass("radio_no"); 
	});
}

//初始化调查方式
function initAllDcfs(){
	$("#allDcfs span").each(function(){
		if($(this).attr("id")=="cid_21"){
			$(this).removeClass().addClass("check_yes"); 
		}else{
			$(this).removeClass().addClass("check_no");
		} 
	});
	//$("#allDcfs span:eq(1)").removeClass().addClass("check_yes");
}


//点击新增按钮
function clearAllInput(){
	var claimNo = $("#claimNo").val();
	var audTest=true;
	$.ajax({
        type: "POST",
        url:"queryAudItStat.do",
        data:{"claimNo":claimNo},
        async: false,
//        error: function(request) {
//            alert("获取信息失败！");
//        },
        success: function(map){
        	if(map !=null ){
        		var flag=false;
        		for(var key in map){
        			flag=true;
        		}
        		if(flag){
        		alert("该赔案存在未完成的任务，需要等原来的任务处理完毕");
        		audTest=false;
        		}
        		
        	}
        }
	});
	

      if(audTest==true)  {
	//置空编号
	$("#clmAuditInvNo").val('');

	//清除radio类样式
	clearclass();
	//初始化调查方式
	initAllDcfs();
	//清空和赋值
	$("#rwxz").html(chooseRight('0'));
	$("#rwzlx").html(chooseRight('21'));
	$("#textOne").val('');
	$("#textTwo").val('');
	$("#textThree").val('');
	$("#textFour").val('');
	$("#textOne").removeAttr("disabled");
	$("#textThree").attr("disabled","disabled");
	$("#textFour").attr("disabled","disabled");
	$("#textTwo").attr("disabled","disabled");
	showAll();
	$(".bot_btn_02").css("color","#ccc");
	$(".bot_btn_02").removeAttr("onclick");
	addSelectClass();
	$("#allDcfs span").unbind("click");	
	$(".check_yes,.check_no").bind("click", function(){
		if($(this).is(".check_yes")){
			$(this).removeClass("check_yes");
			$(this).addClass("check_no"); 

		}
		else{
			var s=$("#allDcfs span");
			for(var i in s){
				if(s[i].className=="check_yes"){
					s[i].className="check_no";
					//alert("已选择调查方式");
					//return;
				}
			}
			$(this).removeClass("check_no");
			$(this).addClass("check_yes");
		}
		$(this).removeClass("check_no");
		$(this).addClass("check_yes");

	});	
      }
}

//使下拉列表和复选框不可编辑
function removeSelectClass(){
	$("#rwxz + div").removeClass("sel_list");
	$("#rwzlx + div").removeClass("sel_list");
	//删除复选框的单击事件
	$("#allDcfs span").unbind("click");	
}

//使下拉列表恢复编辑
function addSelectClass(){
	$("#rwxz + div").addClass("sel_list");
	$("#rwzlx + div").addClass("sel_list");
}


//获取任务性质内容
function chooseRight(count){
	var name = $("#id_"+count).html();
	return name;
}

//获取任务性质编号或者子任务编号
function getRwxzNo(text){
	var bh = '';
	if(text!=''&&text!=undefined){
		$("#SHcon3 li").each(function(){
			if($(this).html()==text){
				bh = $(this).attr("id").replace('id_','');
			}
		});
	}
	return bh;
}


//获取调查方式编号集合
function getDcfs(){
	var d = '';
	$("#allDcfs span").each(function(){
		if($(this).attr("class")=="check_yes"){
			d+=$(this).attr("id").replace("cid_","")+",";
		}
	});
	if(d!=''){
		d=d.substring(0,d.length-1);
	}
	return d;
}

function forwardAdit(claimNo){
	SkipByPost("../auditinfo/showauditdetail.do",{claimNo:claimNo});
}
